sasl_setprop(26 March 2000)

NAME
sasl_setprop - Set a SASL property

SYNOPSIS
#include <sasl.h>

int sasl_setprop(sasl_conn_t *conn,
			 int propnum,
			 const void * pvalue);

DESCRIPTION
sasl_setprop sets the value of a SASL property. For example an application should tell the SASL library about any external negotiated security layer (i.e. TLS). conn is the SASL connection object. propnum is the identifier for the property requested and pvalue contains a pointer to the data. It is the applications job to make sure this type is correct. This is an easy way to crash a program.
SASL_MAXOUTBUF  -    security layer max output buf unsigned
SASL_REALM      -    server authentication realm used
SASL_GETOPTCTX  -    context for getopt callback
SASL_IP_LOCAL   -    local address (pvalue=sockaddr_in *)
SASL_IP_REMOTE  -    remote address (pvalue=sockaddr_in *)
SASL_SSF_EXTERNAL -  external SSF active -- sasl_external_properties_t
SASL_SEC_PROPS  -    sasl_security_properties_t
	             also allows SASL_IP_LOCAL, SASL_IP_REMOTE

RETURN VALUE
Returns SASL_OK on success. SASL error code on failure.

CONFORMING TO
RFC 2222

SEE ALSO
othersaslstuff